<?php
/**
 * Theme functions and definitions
 *
 * @package Bosa Marketing
 */

require get_stylesheet_directory() . '/inc/customizer/customizer.php';
require get_stylesheet_directory() . '/inc/customizer/loader.php';

if ( ! function_exists( 'bosa_marketing_enqueue_styles' ) ) :
	/**
	 * @since Bosa Marketing 1.0.0
	 */
	function bosa_marketing_enqueue_styles() {
		wp_enqueue_style( 'bosa-marketing-style-parent', get_template_directory_uri() . '/style.css',
			array(
				'bootstrap',
				'slick',
				'slicknav',
				'slick-theme',
				'fontawesome',
				'bosa-blocks',
				'bosa-google-font'
				)
		);

		wp_enqueue_style( 'bosa-marketing-google-fonts', "https://fonts.googleapis.com/css2?family=Quicksand:wght@300;400;500;600;700&display=swap", false );
	}

endif;
add_action( 'wp_enqueue_scripts', 'bosa_marketing_enqueue_styles', 1 );

add_theme_support( "title-tag" );
add_theme_support( 'automatic-feed-links' );